drop maintainership of x11/wmii

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

drop maintainership of x11/wmii

Tobias Ulmer
I don't activly use wmii anymore. Also, its current release model
consists of regular snapshots, which makes it pretty incompatible with
our six months release cycle.

suckless.org wrote:
"Note: wmii-3.1 is deprecated. The recommended version is the latest
snap. It is more stable and usable than the 3.5 release."

If noone wants to maintain it, i would prefer to rm -rf before 4.2 is
tagged.

Tobias

silly diff attached...

wmii.diff (476 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: drop maintainership of x11/wmii

Peter Valchev
Done.

Anyone want to take it over?

Reply | Threaded
Open this post in threaded view
|

Re: drop maintainership of x11/wmii

Benoit Chesneau-3
On 6/8/07, Peter Valchev <[hidden email]> wrote:
> Done.
>
> Anyone want to take it over?
>
>

Hi,
I'm ok to maintain it since I use it. However how do we manage
snapshots releases since 3.1 last release is deprecated ?

Anyway here is updated port for last snapshot :
http://babilu.metavers.net/openbsd/wmii/obsd-wmii-20070506.tar.gz

I don't put dependancy to plan9port (see my previous mail), since it
seems not to be a requirement. Tell me if I'm wrong.

If you want (to have a quick look, go here :
http://ports.gcu.info/doku.php/openbsd/x11/wmii

Waiting your feedback,

BenoƮt


--
bchesneau.info | neurofriends.net | osbud.net

Reply | Threaded
Open this post in threaded view
|

Re: drop maintainership of x11/wmii

Simon Kuhnle
On Sun, Jun 10, 2007 at 11:24:21PM +0200, Benoit Chesneau wrote:

> On 6/8/07, Peter Valchev <[hidden email]> wrote:
>> Done.
>>
>> Anyone want to take it over?
>>
>>
>
> Anyway here is updated port for last snapshot :
> http://babilu.metavers.net/openbsd/wmii/obsd-wmii-20070506.tar.gz
>
> I don't put dependancy to plan9port (see my previous mail), since it
> seems not to be a requirement. Tell me if I'm wrong.

Seems like it isn't required.

Because of the ion3 license change and some other things like
http://article.gmane.org/gmane.comp.window-managers.ion.general/7722
I thought I better change back to wmii.

Your port compiles and runs fine here on my i386 with latest snap.
--
simon

Reply | Threaded
Open this post in threaded view
|

Re: drop maintainership of x11/wmii

Simon Kuhnle
Just a quick note: perhaps adding dmenu as dependency would be a good
idea, as it's needed to have application menus.
--
simon